вторник, 13 августа 2013 г.

И снова заметка про проприетарщинку... установка Joxi в openSUSE

Обнаружил недавно программку для снятия скриншотов Joxi и начал использовать под Windows. До того оказалась она удобна, что вспомнил о ней, когда нужно было сделать скриншот в openSUSE и как-то выделить область на изображении, а потом положить в общий доступ. У Joxi оказалась версия под Linux, в том числе под Ubuntu и openSUSE (ребятам из steam тоже бы так не помешало).

В общем всё это к тому, что для работы программы необходимо установить пакет libQtSolutions_SOAP-2_7-1, иначе ругнётся и запускаться не будет:
joxi: error while loading shared libraries: libQtSolutions_SingleApplication-2.6.so.1: cannot open shared object file: No such file or directory


Испытано на openSUSE 12.3 x64 и Joxi 2.3.6 x64 соответственно.
Сайт прогруммулины: http://joxi.ru/

5 комментариев:

  1. Я устарел или наоборот? Но чем PrintScreen -> любой легковестный редактор -> облако (imageshack, dropbox, etc) не подходят?

    ОтветитьУдалить
    Ответы
    1. У вас ответ уже в вопросе. Joxi делает тоже самое, просто он сокращает количество действий за счёт того, что заливает картинку сам и даёт ссылку, а редактировать (проще чем в графическом редакторе) её можно уже сразу после снимка. В общем, рекомендую просто попробовать.

      Удалить
  2. Этот комментарий был удален автором.

    ОтветитьУдалить
  3. Program received signal SIGSEGV, Segmentation fault.
    0x00007ffff2eabd57 in QString::operator=(QString const&) () from /usr/lib64/libQtCore.so.4
    Missing separate debuginfos, use: zypper install joxi-debuginfo-2.1-2.1.x86_64
    (gdb) bt
    #0 0x00007ffff2eabd57 in QString::operator=(QString const&) () from /usr/lib64/libQtCore.so.4
    #1 0x00000000004b2971 in ?? ()
    #2 0x00000000004b2e3f in ?? ()
    #3 0x00007ffff731f020 in ?? () from /usr/lib64/libQtDeclarative.so.4
    #4 0x00007ffff7320889 in ?? () from /usr/lib64/libQtDeclarative.so.4
    #5 0x00007ffff732132b in ?? () from /usr/lib64/libQtDeclarative.so.4
    #6 0x00007ffff6e1e523 in ?? () from /usr/lib64/libQtScript.so.4
    #7 0x00007ffff6d1ac50 in ?? () from /usr/lib64/libQtScript.so.4
    #8 0x00007ffff6cf7eca in ?? () from /usr/lib64/libQtScript.so.4
    #9 0x00007fffecf07e6c in ?? ()
    #10 0x0000000000000000 in ?? ()
    (gdb)

    Нет кандидатов на обновление 'libQtSolutions_SOAP-2_7-1-1.0.0-18.2.x86_64'. Новейшая версия уже установлена.

    openSUSE 12.2 x64, не судьба.

    PS DAP.DarkneSS, не удалось залогиниться ничем приличным =/

    ОтветитьУдалить
    Ответы
    1. Странное дело, но у меня программка теперь тоже не запускается.

      Удалить